import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();

    Department dept = new Department();
    Student stud = (Student) em.createNamedQuery("findHighestPaidByDepartment").setParameter(
        "dept", dept).getSingleResult();

    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}
